import javax.swing.*;
import java.awt.Graphics;
import java.awt.*;
import java.awt.event.*;

public class  tersA1 extends JApplet implements ActionListener
{ 
  JLabel label1;
  JTextField cumlekutusu;
  JPanel girdipaneli;
  JTextField t;
  String cumle;
  JButton b;
  String s;
  int kirmizi,yesil,mavi;
  
  public void init()
  {    
	s="Methinks bulut aynı bir gelinciğe benziyor                                                ";
	label1=new JLabel("cümlenizi yazınız : ");
	t=new JTextField(s);
	t.setFont(new Font("Serif",Font.BOLD,24));
	cumlekutusu=new JTextField(s);
	b=new JButton("cümlenizi ters çeviriniz " );	
    setLayout(new BorderLayout());
    girdipaneli=new JPanel();
    girdipaneli.add(label1);
    girdipaneli.add(cumlekutusu);
    girdipaneli.add(b);
    add(girdipaneli,BorderLayout.NORTH);
    add(t,BorderLayout.CENTER);
    cumlekutusu.addActionListener(this);
    b.addActionListener(this);
  }
  
  public static String invert(String source) 
  { int i, len = source.length(); 
    StringBuffer dest = new StringBuffer(len); 
    for (i = (len - 1); i >= 0; i--) { 
    dest.append(source.charAt(i)); } 
    return dest.toString(); 
  }

public void actionPerformed( ActionEvent e)
{
	 if(e.getSource()==cumlekutusu)
        {   s=cumlekutusu.getText();
	        t.setText(s); 
	    }
	 else if(e.getSource()==b)
	    {  t.setText(invert(t.getText())); 
	       kirmizi    =(int)(255.0*Math.random());
           yesil  =(int)(255.0*Math.random());
           mavi   =(int)(255.0*Math.random());
           Color c1=new Color(kirmizi,yesil,mavi);
           t.setBackground(c1);
	    }   
}

    public static void main(String s[])
    {
        JFrame f = new JFrame("cümleyi ters çeviren applet programı");
        f.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
        JApplet applet = new tersA1();
        f.getContentPane().add("Center", applet);
        applet.init();
        f.setSize(800,500);
        f.setVisible(true); 
    }  
}
